Bug 128595 - Segmentation fault when building bind form source
Segmentation fault when building bind form source
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-26 17:51 EDT by Djordje Vulovic
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-02 11:22:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source (142.56 KB, text/plain)
2004-08-02 09:36 EDT, Djordje Vulovic
no flags Details

  None (edit)
Description Djordje Vulovic 2004-07-26 17:51:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Building bind from vanila source makes segmentation fault. I have 
tried releases 9.2.3, 9.2.1 and 9.1.3.rc3 - they all crash, on 
various files and lines. Tried to specify cc, gcc and gcc34 
compilers - all fail.

Help!

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. tar xfz bind-9.x.y.tar.gz
2. cd bind-9.x.y
3. ./configure
4. make
    

Actual Results:  gcc  -g -O2 -I/tmp/bind-9.1.3rc3 -I./include -
I./../pthreads/include -I../include -I./../include -I./..  -
D_REENTRANT    -W -Wall -Wmissing-prototypes -Wcast-qual -Wwrite-
strings  -c interfaceiter.c
interfaceiter.c: In function `isc_interfaceiter_destroy':
interfaceiter.c:150: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
The bug is not reproducible, so it is likely a hardware or OS problem.
make[3]: *** [interfaceiter.o] Error 1

Additional info:
Comment 1 Jakub Jelinek 2004-08-02 08:43:49 EDT
Do they crash on the same file at the same spot?
The bug is not reproducible, so it is likely a hardware or OS problem.
in the error output doesn't suggest that.
If it is not reproduceable always on the same file, the problem
is almost certainly in your hardware.
Comment 2 Djordje Vulovic 2004-08-02 09:35:35 EDT
As I have seen, certain version of bind always crashes on the same 
file (for example lib/isc/unix/entropy.c in version 91.3.rc) but not 
always on the same spot. 

For example, this is the most common error:

gcc  -g -O2 -I/tmp/bind-9.1.3rc3 -I./include -I./../pthreads/include -
I../include -I./../include -I./..  -D_REENTRANT    -W -Wall -Wmissing-
prototypes -Wcast-qual -Wwrite-strings  -c entropy.c
entropy.c: In function `isc_entropy_getdata':
entropy.c:768: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cc7OE90O.out file, please attach 
this to your bugreport.
make[3]: *** [entropy.o] Error 1

I'll attach file with the preprocessed source.
Comment 3 Djordje Vulovic 2004-08-02 09:36:57 EDT
Created attachment 102352 [details]
Preprocessed source
Comment 4 Jakub Jelinek 2004-08-02 11:22:10 EDT
gcc -g -O2 -W -Wall -Wmissing-prototypes -Wcast-qual -Wwrite-strings -S -xc cc7OE90O.out
certainly doesn't crash for me with gcc-3.3.3-7.

Note You need to log in before you can comment on or make changes to this bug.